<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_lut_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_lut_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_lut_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>lut object descriptor as placed in shared memory </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__lut__t.html#a9910b8c76c7e842695a4b2b20e751bac">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a9910b8c76c7e842695a4b2b20e751bac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__lut__t.html#a246616705e5f2ad0e6549d8aa0fd9147">item_type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The item type of the lut.  <a href="#a246616705e5f2ad0e6549d8aa0fd9147"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__lut__t.html#ac1efdd011919d9937247a489f3328f41">item_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">size of each item  <a href="#ac1efdd011919d9937247a489f3328f41"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__lut__t.html#a9d88807eccef89057f02ef8da13d126d">num_items</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of items  <a href="#a9d88807eccef89057f02ef8da13d126d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__lut__t.html#a6a0398d2007846de01f0f3d7f0bc92d9">mem_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">size of buffer pointed to by mem_ptr  <a href="#a6a0398d2007846de01f0f3d7f0bc92d9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__lut__t.html#a21a58447f27b6686909dbe7a5b04f686">mem_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">matrix memory address  <a href="#a21a58447f27b6686909dbe7a5b04f686"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a9910b8c76c7e842695a4b2b20e751bac"></a><!-- doxytag: member="tivx_obj_desc_lut_t::base" ref="a9910b8c76c7e842695a4b2b20e751bac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__lut__t.html#a9910b8c76c7e842695a4b2b20e751bac">tivx_obj_desc_lut_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="a246616705e5f2ad0e6549d8aa0fd9147"></a><!-- doxytag: member="tivx_obj_desc_lut_t::item_type" ref="a246616705e5f2ad0e6549d8aa0fd9147" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__obj__desc__lut__t.html#a246616705e5f2ad0e6549d8aa0fd9147">tivx_obj_desc_lut_t::item_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The item type of the lut. </p>

</div>
</div>
<a class="anchor" id="ac1efdd011919d9937247a489f3328f41"></a><!-- doxytag: member="tivx_obj_desc_lut_t::item_size" ref="ac1efdd011919d9937247a489f3328f41" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__obj__desc__lut__t.html#ac1efdd011919d9937247a489f3328f41">tivx_obj_desc_lut_t::item_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>size of each item </p>

</div>
</div>
<a class="anchor" id="a9d88807eccef89057f02ef8da13d126d"></a><!-- doxytag: member="tivx_obj_desc_lut_t::num_items" ref="a9d88807eccef89057f02ef8da13d126d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__obj__desc__lut__t.html#a9d88807eccef89057f02ef8da13d126d">tivx_obj_desc_lut_t::num_items</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of items </p>

</div>
</div>
<a class="anchor" id="a6a0398d2007846de01f0f3d7f0bc92d9"></a><!-- doxytag: member="tivx_obj_desc_lut_t::mem_size" ref="a6a0398d2007846de01f0f3d7f0bc92d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__lut__t.html#a6a0398d2007846de01f0f3d7f0bc92d9">tivx_obj_desc_lut_t::mem_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>size of buffer pointed to by mem_ptr </p>

</div>
</div>
<a class="anchor" id="a21a58447f27b6686909dbe7a5b04f686"></a><!-- doxytag: member="tivx_obj_desc_lut_t::mem_ptr" ref="a21a58447f27b6686909dbe7a5b04f686" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a> <a class="el" href="structtivx__obj__desc__lut__t.html#a21a58447f27b6686909dbe7a5b04f686">tivx_obj_desc_lut_t::mem_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>matrix memory address </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
